=== debian/changelog ===
libdng (0.2.1-2) unstable; urgency=medium

  * d/control: update minimum libtiff version.
    Also bump `Standards-Version` as no change is required. (Closes: #1106598)

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 11 Jul 2025 14:10:03 +0200

libdng (0.2.1-1) unstable; urgency=medium

  * Initial Debian release (Closes: #1092358)

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 07 Jan 2025 18:06:10 +0100
