=== debian/control ===
Source: libdng
Section: libs
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Arnaud Ferraris <aferraris@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libtiff-dev (>= 4.7.0),
 meson,
 pkgconf,
 scdoc,
Standards-Version: 4.7.2
Homepage: https://gitlab.com/megapixels-org/libdng
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/libdng
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/libdng.git
Rules-Requires-Root: no

Package: libdng1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Library for generating DNG files -- Shared library
 libdng makes it easier to generate valid DNG files following the
 Adobe Digital Negative specification.
 .
 Its main features are:
  * Writing DNG 1.4.0 compliant TIFF files
  * Parsing DCP files for extra color processing metadata
  * Some DNG reading support for the `dngmerge` utility
  * Isolating applications from the changing libtiff APIs
 .
 This package contains the shared library itself.

Package: libdng-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 libdng1 (= ${binary:Version}),
Description: Library for generating DNG files -- Development files
 libdng makes it easier to generate valid DNG files following the
 Adobe Digital Negative specification.
 .
 This package contains the development files for building software
 making use of libdng.

Package: libdng-utils
Section: graphics
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Library for generating DNG files -- Utility programs
 libdng makes it easier to generate valid DNG files following the
 Adobe Digital Negative specification.
 .
 This package contains the `makedng` utility, allowing one to generate
 DNG files from raw sensor dumps.
