=== debian/changelog ===
libdng (0.2.2-1) unstable; urgency=medium

  * New upstream version
  * d/patches: drop upstreamed patches
  * d/watch: update to version 5
  * d/control: drop obsolete Rules-Requires-Root
  * d/symbols: update for new upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 11 Nov 2025 12:39:12 +0100
