=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
 Homepage: https://gitlab.com/megapixels-org/libdng
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/libdng
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/libdng.git
-Rules-Requires-Root: no
 
 Package: libdng1
 Architecture: any
